##### Coverage Report - org.owasp.dependencycheck.jaxb.pom.generated.DistributionManagement

Classes in this File | Line Coverage | Branch Coverage | Complexity
DistributionManagement |
5% | 1/19
N/A | N/A
| 1.0;1

1 |  |
     //
2 |  |
     // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
3 |  |
     // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
4 |  |
     // Any modifications to this file will be lost upon recompilation of the source schema.
5 |  |
     // Generated on: 2012.11.09 at 12:33:57 PM EST
6 |  |
     //
7 |  |
8 |  |
9 |  |
     package org.owasp.dependencycheck.jaxb.pom.generated;
10 |  |
11 |  |
     import javax.annotation.Generated;
12 |  |
     import javax.xml.bind.annotation.XmlAccessType;
13 |  |
     import javax.xml.bind.annotation.XmlAccessorType;
14 |  |
     import javax.xml.bind.annotation.XmlType;
15 |  |
16 |  |
17 |  |
     /**
18 |  |
      *
19 |  |
      *         This elements describes all that pertains to distribution for a project.
20 |  |
      *         It is primarily used for deployment of artifacts and the site
21 |  |
      *         produced by the build.
22 |  |
      *
23 |  |
      *
24 |  |
      * <p>Java class for DistributionManagement complex type.
25 |  |
      *
26 |  |
      * <p>The following schema fragment specifies the expected content contained within this class.
27 |  |
      *
28 |  |
      * <pre>
29 |  |
      * &lt;complexType name="DistributionManagement">
30 |  |
      *   &lt;complexContent>
31 |  |
      *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
32 |  |
      *       &lt;all>
33 |  |
      *         &lt;element name="repository" type="{http://maven.apache.org/POM/4.0.0}DeploymentRepository" minOccurs="0"/>
34 |  |
      *         &lt;element name="snapshotRepository" type="{http://maven.apache.org/POM/4.0.0}DeploymentRepository" minOccurs="0"/>
35 |  |
      *         &lt;element name="site" type="{http://maven.apache.org/POM/4.0.0}Site" minOccurs="0"/>
36 |  |
      *         &lt;element name="downloadUrl" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
37 |  |
      *         &lt;element name="relocation" type="{http://maven.apache.org/POM/4.0.0}Relocation" minOccurs="0"/>
38 |  |
      *         &lt;element name="status" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
39 |  |
      *       &lt;/all>
40 |  |
      *     &lt;/restriction>
41 |  |
      *   &lt;/complexContent>
42 |  |
      * &lt;/complexType>
43 |  |
      * </pre>
44 |  |
      *
45 |  |
      *
46 |  |
      */
47 |  |
     @XmlAccessorType(XmlAccessType.FIELD)
48 |  |
     @XmlType(name = "DistributionManagement", propOrder = {
49 |  |
50 |  |
     })
51 |  |
     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
52 | 3 |
     public class DistributionManagement {
53 |  |
54 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
55 |  |
         protected DeploymentRepository repository;
56 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
57 |  |
         protected DeploymentRepository snapshotRepository;
58 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
59 |  |
         protected Site site;
60 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
61 |  |
         protected String downloadUrl;
62 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
63 |  |
         protected Relocation relocation;
64 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
65 |  |
         protected String status;
66 |  |
67 |  |
         /**
68 |  |
          * Gets the value of the repository property.
69 |  |
          *
70 |  |
          * @return
71 |  |
          *     possible object is
72 |  |
          *     {@link DeploymentRepository }
73 |  |
          *
74 |  |
          */
75 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
76 |  |
         public DeploymentRepository getRepository() {
77 | 0 |
             return repository;
78 |  |
         }
79 |  |
80 |  |
         /**
81 |  |
          * Sets the value of the repository property.
82 |  |
          *
83 |  |
          * @param value
84 |  |
          *     allowed object is
85 |  |
          *     {@link DeploymentRepository }
86 |  |
          *
87 |  |
          */
88 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
89 |  |
         public void setRepository(DeploymentRepository value) {
90 | 0 |
             this.repository = value;
91 | 0 |
         }
92 |  |
93 |  |
         /**
94 |  |
          * Gets the value of the snapshotRepository property.
95 |  |
          *
96 |  |
          * @return
97 |  |
          *     possible object is
98 |  |
          *     {@link DeploymentRepository }
99 |  |
          *
100 |  |
          */
101 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
102 |  |
         public DeploymentRepository getSnapshotRepository() {
103 | 0 |
             return snapshotRepository;
104 |  |
         }
105 |  |
106 |  |
         /**
107 |  |
          * Sets the value of the snapshotRepository property.
108 |  |
          *
109 |  |
          * @param value
110 |  |
          *     allowed object is
111 |  |
          *     {@link DeploymentRepository }
112 |  |
          *
113 |  |
          */
114 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
115 |  |
         public void setSnapshotRepository(DeploymentRepository value) {
116 | 0 |
             this.snapshotRepository = value;
117 | 0 |
         }
118 |  |
119 |  |
         /**
120 |  |
          * Gets the value of the site property.
121 |  |
          *
122 |  |
          * @return
123 |  |
          *     possible object is
124 |  |
          *     {@link Site }
125 |  |
          *
126 |  |
          */
127 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
128 |  |
         public Site getSite() {
129 | 0 |
             return site;
130 |  |
         }
131 |  |
132 |  |
         /**
133 |  |
          * Sets the value of the site property.
134 |  |
          *
135 |  |
          * @param value
136 |  |
          *     allowed object is
137 |  |
          *     {@link Site }
138 |  |
          *
139 |  |
          */
140 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
141 |  |
         public void setSite(Site value) {
142 | 0 |
             this.site = value;
143 | 0 |
         }
144 |  |
145 |  |
         /**
146 |  |
          * Gets the value of the downloadUrl property.
147 |  |
          *
148 |  |
          * @return
149 |  |
          *     possible object is
150 |  |
          *     {@link String }
151 |  |
          *
152 |  |
          */
153 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
154 |  |
         public String getDownloadUrl() {
155 | 0 |
             return downloadUrl;
156 |  |
         }
157 |  |
158 |  |
         /**
159 |  |
          * Sets the value of the downloadUrl property.
160 |  |
          *
161 |  |
          * @param value
162 |  |
          *     allowed object is
163 |  |
          *     {@link String }
164 |  |
          *
165 |  |
          */
166 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
167 |  |
         public void setDownloadUrl(String value) {
168 | 0 |
             this.downloadUrl = value;
169 | 0 |
         }
170 |  |
171 |  |
         /**
172 |  |
          * Gets the value of the relocation property.
173 |  |
          *
174 |  |
          * @return
175 |  |
          *     possible object is
176 |  |
          *     {@link Relocation }
177 |  |
          *
178 |  |
          */
179 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
180 |  |
         public Relocation getRelocation() {
181 | 0 |
             return relocation;
182 |  |
         }
183 |  |
184 |  |
         /**
185 |  |
          * Sets the value of the relocation property.
186 |  |
          *
187 |  |
          * @param value
188 |  |
          *     allowed object is
189 |  |
          *     {@link Relocation }
190 |  |
          *
191 |  |
          */
192 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
193 |  |
         public void setRelocation(Relocation value) {
194 | 0 |
             this.relocation = value;
195 | 0 |
         }
196 |  |
197 |  |
         /**
198 |  |
          * Gets the value of the status property.
199 |  |
          *
200 |  |
          * @return
201 |  |
          *     possible object is
202 |  |
          *     {@link String }
203 |  |
          *
204 |  |
          */
205 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
206 |  |
         public String getStatus() {
207 | 0 |
             return status;
208 |  |
         }
209 |  |
210 |  |
         /**
211 |  |
          * Sets the value of the status property.
212 |  |
          *
213 |  |
          * @param value
214 |  |
          *     allowed object is
215 |  |
          *     {@link String }
216 |  |
          *
217 |  |
          */
218 |  |
         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
219 |  |
         public void setStatus(String value) {
220 | 0 |
             this.status = value;
221 | 0 |
         }
222 |  |
223 |  |
     }